Class BackupsImpl
java.lang.Object
com.eqixiac.equinix.networkedge.client.implementation.BackupsImpl
- All Implemented Interfaces:
Backups
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncheckRestoreFeasibility(String uuid, String deviceUuid) Gets the information as to the feasibility of a specific restore operation.Returns an instance of BackupBuilder for defining a new backup.Gets the contents of the specified backup.Gets the specified backup.Lists available backups for the provided deviceUuid.list(String deviceUuid, RequestBuilder.Backup requestBuilder) Lists available backups for the provided deviceUuid and desired query parameters.
-
Constructor Details
-
BackupsImpl
public BackupsImpl()
-
-
Method Details
-
list
Description copied from interface:BackupsLists available backups for the provided deviceUuid.- Specified by:
listin interfaceBackups- Parameters:
deviceUuid- the unique device identifier.- Returns:
PaginatedList
-
list
Lists available backups for the provided deviceUuid and desired query parameters.- Specified by:
listin interfaceBackups- Parameters:
deviceUuid- the unique device identifier.requestBuilder- the desired query parameters.- Returns:
PaginatedList
-
getByUuid
-
download
-
checkRestoreFeasibility
Description copied from interface:BackupsGets the information as to the feasibility of a specific restore operation.- Specified by:
checkRestoreFeasibilityin interfaceBackups- Parameters:
uuid- the unique identifier of the backup.deviceUuid- the unique identifier of the device.- Returns:
RestoreFeasibility
-
define
Description copied from interface:BackupsReturns an instance of BackupBuilder for defining a new backup.- Specified by:
definein interfaceBackups- Parameters:
deviceUuid- the unique identifier of the device.backupName- the name of the new backup.- Returns:
BackupOperator.BackupBuilder
-